## golang-github-ghjm-cmdline 0.1.2

=== Makefile ===
test:
	@go test -count=1 .

lint:
	@golint ./...

format:
	@find . -type f -name '*.go' -exec go fmt {} \;

fmt: format

pre-commit:
	@pre-commit run --all-files

example: cmd/example.go cmdline.go
	@go build cmd/example.go

clean:
	@rm -f example

=== debian/changelog ===
golang-github-ghjm-cmdline (0.1.2-3) unstable; urgency=medium

  * Depends: golang-gopkg-yaml.v2-dev (>= 2.4.0~)

 -- Jérémy Lal <kapouer@melix.org>  Tue, 26 Dec 2023 13:58:33 +0100

golang-github-ghjm-cmdline (0.1.2-2) unstable; urgency=medium

  * Source-only upload 

 -- Jérémy Lal <kapouer@melix.org>  Sun, 24 Dec 2023 19:04:21 +0100

golang-github-ghjm-cmdline (0.1.2-1) unstable; urgency=medium

  * Initial release (Closes: #1057415)

 -- Jérémy Lal <kapouer@melix.org>  Mon, 04 Dec 2023 17:51:44 +0100

=== debian/control ===
Source: golang-github-ghjm-cmdline
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any (>= 2:1.15~),
               golang-gopkg-yaml.v2-dev (>= 2.4.0~),
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-ghjm-cmdline
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-ghjm-cmdline.git
Homepage: https://github.com/ghjm/cmdline
XS-Go-Import-Path: github.com/ghjm/cmdline

Package: golang-github-ghjm-cmdline-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 golang-gopkg-yaml.v2-dev (>= 2.4.0~),
Description: Command line parser with multiple configurations for the Go language
 This package provides a parsing and execution framework based on
 the idea that structs define accepted fields, receiver functions,
 and execution phases.
 It is more general than the common Go language command line parser.
